[plonegov-br] Busca Multifacetada no IDG 1.5.3

Clayton claytonc.sousa em gmail.com
Quinta Julho 11 17:48:40 BRT 2019


Alexandre,

Tenta pinar a versão do eea.faceted.vocabularies para 6.6.

--
Clayton

Em qui, 11 de jul de 2019 às 17:28, Alexandre Chagas <
alexandre.acs em gmail.com> escreveu:

> Isso Clayton,
>
> Foi minha primeira tentativa, só adicionei no eggs "brasil.gov.facetada",
> instala tudo certo!
>
> vi que no versions.cfg já contempla justamente essa versão (1.0rc1). Mas o
> portal não sobe. Apenas depois que saí pinando pra ver se encontrava alguma
> estabilidade.
>
> Mas voltando, apenas adicionando:
>
> eggs =
>     brasil.gov.facetada
>
> O portal não sobe, em modo debug, aparece essa mensagem:
>
>   File
> "/opt/Plone-4.3.18/Python-2.7/lib/python2.7/xml/sax/expatreader.py", line
> 213, in feed
>     self._parser.Parse(data, isFinal)
>   File
> "/opt/Plone-4.3.18/Python-2.7/lib/python2.7/xml/sax/expatreader.py", line
> 365, in end_element_ns
>     self._cont_handler.endElementNS(pair, None)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/xmlconfig.py",
> line 359, in endElementNS
>     self.context.end()
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/config.py",
> line 620, in end
>     self.stack.pop().finish()
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/config.py",
> line 774, in finish
>     actions = self.handler(context, **args)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/xmlconfig.py",
> line 548, in include
>     processxmlfile(f, context)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/xmlconfig.py",
> line 380, in processxmlfile
>     parser.parse(src)
>   File
> "/opt/Plone-4.3.18/Python-2.7/lib/python2.7/xml/sax/expatreader.py", line
> 110, in parse
>     xmlreader.IncrementalParser.parse(self, source)
>   File "/opt/Plone-4.3.18/Python-2.7/lib/python2.7/xml/sax/xmlreader.py",
> line 123, in parse
>     self.feed(buffer)
>   File
> "/opt/Plone-4.3.18/Python-2.7/lib/python2.7/xml/sax/expatreader.py", line
> 213, in feed
>     self._parser.Parse(data, isFinal)
>   File
> "/opt/Plone-4.3.18/Python-2.7/lib/python2.7/xml/sax/expatreader.py", line
> 365, in end_element_ns
>     self._cont_handler.endElementNS(pair, None)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/xmlconfig.py",
> line 359, in endElementNS
>     self.context.end()
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/config.py",
> line 620, in end
>     self.stack.pop().finish()
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/config.py",
> line 773, in finish
>     args = toargs(context, *self.argdata)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/config.py",
> line 1564, in toargs
>     args[str(name)] = field.fromUnicode(s)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/fields.py",
> line 137, in fromUnicode
>     value = self.context.resolve(name)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/zope.configuration-3.8.1-py2.7.egg/zope/configuration/config.py",
> line 178, in resolve
>     mod = __import__(mname, *_import_chickens)
>   File
> "/opt/Plone-4.3.18/buildout-cache/eggs/eea.facetednavigation-9.8-py2.7.egg/eea/facetednavigation/widgets/checkbox/widget.py",
> line 19, in <module>
>     from eea.faceted.vocabularies.utils import compare
> zope.configuration.xmlconfig.ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/zeocluster/parts/client1/etc/site.zcml", line 16.2-16.23
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/Products.CMFPlone-4.3.18-py2.7.egg/Products/CMFPlone/configure.zcml",
> line 98.4-102.10
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/brasil.gov.facetada-1.0rc1-py2.7.egg/brasil/gov/facetada/configure.zcml",
> line 13.2-13.38
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/brasil.gov.facetada-1.0rc1-py2.7.egg/brasil/gov/facetada/dependencies.zcml",
> line 5.2-5.45
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/eea.facetednavigation-9.8-py2.7.egg/eea/facetednavigation/configure.zcml",
> line 8.2-8.33
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/eea.facetednavigation-9.8-py2.7.egg/eea/facetednavigation/minimal.zcml",
> line 30.2-30.32
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/eea.facetednavigation-9.8-py2.7.egg/eea/facetednavigation/widgets/configure.zcml",
> line 8.2-8.33
>     ZopeXMLConfigurationError: File
> "/opt/Plone-4.3.18/buildout-cache/eggs/eea.facetednavigation-9.8-py2.7.egg/eea/facetednavigation/widgets/checkbox/configure.zcml",
> line 6.2-6.45
>     ImportError: cannot import name compare
>
>
>
> Em qui, 11 de jul de 2019 às 17:18, Clayton <claytonc.sousa em gmail.com>
> escreveu:
>
>> Alexandre,
>>
>> Não tive problemas, o portal esta utilizando a versão 1.0rc1.
>>
>> Esta olhando o arquivo .cfg não foi pinado a versão, só foi colocado o
>> "brasil.gov.facetada" no eggs.
>>
>> --
>> Clayton
>>
>>
>> Em qui, 11 de jul de 2019 às 16:10, Alexandre Chagas <
>> alexandre.acs em gmail.com> escreveu:
>>
>>> Boa tarde pessoal,
>>>
>>> Vi que no último post a respeito desse assunto "Busca Multifacetada no
>>> IDG 1.5.3", terminou sem uma solução apresentada para essa versão do IDG.
>>> Porque a principal necessidade na época era remover esse complemento, pois
>>> o mesmo não seria mais utilizado com a migração em questão.
>>>
>>> Foi esclarecido pelo colega Héctor, que para o IDG a partir da versão
>>> 2.0, a facetada seria descontinuada e que seria substituída pelo
>>> plugin/complemento "brasil.gov.newfieldcomplement"
>>> https://github.com/plonegovbr/brasil.gov.newfieldcomplement
>>>
>>> Acabei de migrar o IDG para a versão 1.5.3 e estou tendo dificuldade em
>>> implementar a Multifacetada, tentei, as versões "brasil.gov.facetada
>>> 1.0rc1" , mesmo pinando versões anteriores do eea.facetednavigation. e sem
>>> sucesso!
>>> Como alternativa, tentei instalar a versão brasil.gov.facetada 1.0b1.
>>> Também não roda no IDG 1.5.3. mesmo pinando versões anteriores dos seus
>>> complementos.
>>>
>>> Alguém da lista chegou a instalar a Busca Multifacetada no Portal
>>> utilizando o IDG 1.5.3?
>>>
>>> --
>>> *Alexandre Chagas*
>>>
>>> --
>>> Comunidade Plone no Governo
>>> Site: http://www.softwarelivre.gov.br/plone
>>> Wiki: http://colab.interlegis.leg.br/wiki/PloneGovBr
>>> Histórico:
>>> http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br
>>> Lista: https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br
>>
>> --
>> Comunidade Plone no Governo
>> Site: http://www.softwarelivre.gov.br/plone
>> Wiki: http://colab.interlegis.leg.br/wiki/PloneGovBr
>> Histórico:
>> http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br
>> Lista: https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br
>
>
>
> --
> *Alexandre Chagas*
>
> --
> Comunidade Plone no Governo
> Site: http://www.softwarelivre.gov.br/plone
> Wiki: http://colab.interlegis.leg.br/wiki/PloneGovBr
> Histórico:
> http://colab.interlegis.leg.br/search/?type=thread&order=latest&list=plonegov-br
> Lista: https://listas.interlegis.gov.br/mailman/listinfo/plonegov-br
-------------- Próxima Parte ----------
Um anexo em HTML foi limpo...
URL: <http://listas.interlegis.gov.br/pipermail/plonegov-br/attachments/20190711/a6135978/attachment.html>


Mais detalhes sobre a lista de discussão PloneGov-BR